<?php

require_once '../incfiles/core.php';
require_once '../incfiles/func.php';
require_once '../incfiles/auth.php';
require_once '../incfiles/user.php';

if (empty($user_id)) {go(URL.'/');}

if (!empty($_GET['id']) && is_numeric($_GET['id']))
{
	$id = abs(intval($_GET['id']));
	$result = mysql_query("SELECT * FROM `photos_albums` WHERE `id` = '".$id."' AND `user_id` = '".$user_id."' LIMIT 1");
	if (mysql_num_rows($result) == true)
	{
		$arr_album = mysql_fetch_array(mysql_query("SELECT * FROM `photos_albums` WHERE `id` = '".$id."' AND `user_id` = '".$user_id."' LIMIT 1"));
	}
	else
	{
		go(URL.'/photos/?id='.$user_id);
	}
}
else
{
	go(URL.'/photos/?id='.$user_id);
}

if (!empty($_POST['name']))
{
	$name = check($_POST['name']);
	$name = substr($name, 0, 100);
	if (empty($name)) {go(URL.'/photos/?id='.$user_id);}

	if (mysql_query("UPDATE `photos_albums` SET `name` = '".$name."' WHERE `id` = '".$id."' AND `user_id` = '".$user_id."'") == true)
	{
//		go(URL.'/photos/?id='.$user_id);
	}
}

	$title = lang('Редактировать','Редагувати').' Фотоальбом';
	require_once('../incfiles/head.php');

?>
<script type="text/javascript">
$(function(){
	$('#form').on('submit', function(e){
	$('#form_content').html('');
	Page.Loading('start');
    e.preventDefault();
    var $that = $(this),
        formData = new FormData($that.get(0));
    $.ajax({
      url: $that.attr('action'),
      type: $that.attr('method'),
      contentType: false,
      processData: false,
      data: formData,
      success: function(response){
        if(response){
 			Page.Go('<?echo URL.'/photos/?id='.$user_id;?>');
       }
     }
    });
  });
});
</script>

<?
	
	echo '<div class="title">
	<a href="'.URL.'/?id='.$user_id.'" onclick="Page.Go(this.href); return false">'.$user['name'].' '.$user['surname'].'</a>
	<a href="'.URL.'/photos/?id='.$user_id.'" onclick="Page.Go(this.href); return false">'.lang('Фотоальбомы','Фотоальбоми').'</a>
	<a class="title_a_hover" href="'.URL.'/photos/album.php?id='.$arr_album['id'].'" oonclick="Page.Go(this.href); return false">'.$arr_album['name'].'</a>
	</div>
	<div class="title">'.$title.'</div>
	<form id="form" action="'.URL.'/photos/edit_album.php?id='.$id.'" method="post">
	<div class="block">
	'.lang('Название фотоальбома','Назва фотоальбому').':<br/>
	<input class="input2" style="width:70%;" type="text" name="name" value="'.$arr_album['name'].'"/>
	<input class="button2" type="submit" value="'.lang('Сохранить','Зберегти').'"/>
	</div>
	</form>';

	require_once('../incfiles/foot.php');
	exit;


?>